API Reference
Journal
3 endpoints· Auth: JWT or API Key
post
/api/v1/console/accounting/journal/daily-sales JWT API KeyCreate daily-sales
Request body
application/json
{
"date": "2026-09-30"
}| date string (date) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/accounting/journal/daily-sales" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"date": "2026-09-30"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/accounting/journal/entries JWT API KeyGet entries
Query parameters
| From string (date) | — |
| ToExclusive string (date) | — |
| Source string | — |
| AccountCode string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/accounting/journal/entries" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/accounting/journal/entries/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Query parameters
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/accounting/journal/entries/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu